<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.local-cache.store.binary-jdbc.binary-keyed-table">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="prefix,fetch-size,create-on-start,drop-on-stop,batch-size,id-column,data-column,timestamp-column"/>
        <elem name="complex-attribute" value="binary-keyed-table"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,local-cache,store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.local-cache.store.binary-jdbc"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="drop-on-stop" nillable="true"/>
        <param name="create-on-start" nillable="true"/>
        <param name="prefix" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="local-cache" feature-id="true"/>
        <param name="fetch-size" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="store" feature-id="true" default="binary-jdbc"/>
        <param name="data-column" nillable="true"/>
        <param name="batch-size" nillable="true"/>
        <param name="id-column" nillable="true"/>
        <param name="timestamp-column" nillable="true"/>
    </params>
</feature-spec>